AppServ มันกาก ทำไมไม่เลิกใช้? อุ้ย! ผมขอถอนคำพูด


ผมไม่รู้คนอื่นเขาจะตื่นเต้นกันมั้ยนะ แต่ผมรู้สึกตื่นเต้นและดีใจที่ได้เห็น AppServ โปรแกรม package ระดับตำนานกลับมาอีกครั้ง ใน version AppServ 8.5.6 (for PHP 5.6) และ AppServ 8.7.0 (for PHP 7.0) ต้องยอมรับว่าผมเองก็เติบโตมากับโปรแกรมนี้ สมัยที่หัดเขียนเว็บใหม่ๆ ซึ่งบอกเลยว่านักพัฒนาเว็บไซต์ยุคผมจนถึงปัจจุบัน แทบไม่มีใครไม่รู้จัก AppServ เพราะมันใช้งานง่าย ติดตั้งง่าย สะดวก แต่...


พอพักหลังๆ AppServ หยุดไปนานที่เวอร์ชั่น 2.5.10 เป็น PHP 5.2.6 ซึ่งถ้าพูดถึงวันนี้ วันที่ผมเขียน มันก็ผ่านมาเกือบ 8 ปีแล้ว!! ผมเองเริ่มใช้ AppServ ตั้งแต่ version แรกๆเลย จำความได้ว่าเป็น 1.9.x แล้วขยับมา 2.3.x - 2.4.x ตั้งแต่ไม่บังคับใส่รหัสผ่านของ MySQL ผมใช้ root กับ password ว่างๆ มาตลอดจนออก version ที่บังคับใส่ ผมถึงได้ใช้รหัสผ่าน

ซึ่งกว่าจะถึงวันนี้ ก็ร่วม 13 ปีแล้วครับ!! พูดแล้วฟังดูแก่ แต่แก่จริงๆ

ซึ่งก่อนหน้าที่ AppServ จะออกใหม่นั้นก็มีกระแสจู่โจม กับ ตัดพ้อกับ AppServ ว่ามันเป็นโปรแกรมที่ไม่ดี ห่วยแตก ไม่ได้ความ เลิกใช้ได้แล้ว รวมถึงผมเองด้วยที่แนะนำน้องๆ ให้เลิกใช้ เหตุผลเพราะมันไม่อัพเดท เวลาเราเขียน code จะทำให้ใช้งานกับ host จริงไม่ได้ เนื่องจาก function เก่าๆ มันถูก Deprecated แล้ว ทำให้เกิดปัญหาตามมามายมาย (เอาเป็นว่าไม่ขอสาธยายดีกว่า) ลองไปอ่านดูครับ มีทั้งที่ผมเขียนไว้ และคนอื่น ตามลิงค์นี้จ้า

 จนคุณ Apple (ภาณุพงศ์  ปัญญาดี) เจ้าของโปรแกรม AppServ ออกมาตัดพ้อ ว่าผมผิดอะไร?
http://www.thaiseoboard.com/index.php/topic,368712.0.html
ซึ่งผมก็รอวันที่ 8 นี้แน่นอนครับ จะเทสว่ามันยัง classic เหมือนเมื่อก่อนมั้ย! 

https://www.appservnetwork.com/th/

หน้าเว็บใหม่ ไม่ค่อยคุ้นตา




ป้ายกำกับ: ,